PrefabFiles = {
	"battery",
}

local STRINGS = GLOBAL.STRINGS

STRINGS.NAMES.BATTERY = "Battery"
STRINGS.RECIPE_DESC.BATTERY = "A quick fix for wx-78"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BATTERY = "Battery for wx-78"

local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
local FOODTYPE = GLOBAL.FOODTYPE
FOODTYPE.BATTERY = "BATTERY"
--Removed the new foodgroup omnitype

AddComponentPostInit("eater", function(self)--modify the eater component
	function self:SetCanEatBatteries()--add a function to insert the battery foodtype into our "caneat" and "preferseating" tables
		table.insert(self.preferseating, FOODTYPE.BATTERY)
		table.insert(self.caneat, FOODTYPE.BATTERY)
		self.inst:AddTag(FOODTYPE.BATTERY.."_eater")
	end
end)


AddPrefabPostInit("wx78", function(inst)
	if not GLOBAL.TheWorld.ismastersim then--added since only the server needs to do component stuff
		return inst
	end
	inst.components.eater:SetCanEatBatteries()--calls the new function we added in the eater component
end)

function WxPostInit(inst)
	local old_oneat = inst.components.eater and inst.components.eater.oneatfn
	local function new_oneat(inst, food)
		old_oneat(inst, food)
		if food and food.prefab == "battery" then
	        inst.components.playerlightningtarget.onstrikefn(inst)
			local pos = GLOBAL.Vector3(inst.Transform:GetWorldPosition())
			GLOBAL.SpawnPrefab("lightning").Transform:SetPosition(pos:Get())
			--GLOBAL.TheWorld:PushEvent("ms_sendlightningstrike", pos)
	    end
	end

	if GLOBAL.TheWorld.ismastersim then
		inst.components.eater:SetOnEatFn(new_oneat)
	end
end
AddPrefabPostInit("wx78", WxPostInit)

local battery = AddRecipe("battery", {Ingredient("log", 1), Ingredient("trinket_6", 1), Ingredient("transistor", 2), Ingredient("lightbulb", 2)}, RECIPETABS.SURVIVAL, TECH.NONE, nil, nil, nil, nil, "electricdamageimmune")
battery.product = "battery"
battery.atlas = "images/inventoryimages/battery.xml"
battery.numtogive = 1
STRINGS.NAMES.BATTERY = "Battery"
STRINGS.RECIPE_DESC.BATTERY = "A quick fix for wx-78."

local frazwires = AddRecipe("trinket_6", {Ingredient("goldnugget", 5)}, RECIPETABS.SURVIVAL, TECH.NONE, nil, nil, nil, nil, "electricdamageimmune")