-- In a prefab file, you need to list all the assets it requires.
-- These can be either standard assets, or custom ones in your mod
-- folder.
local assets =
{
	Asset("ANIM", "anim/battery.zip"), -- a standard asset
    Asset("ATLAS", "images/inventoryimages/battery.xml"),
    Asset("IMAGE", "images/inventoryimages/battery.tex"),
}
prefabs = {

}

-- Write a local function that creats, customizes, and returns an instance of the prefab.
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("battery")
    inst.AnimState:SetBuild("battery")
    inst.AnimState:PlayAnimation("idle")

    if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()

    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "battery"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/battery.xml"

    inst:AddComponent("edible")
    inst.components.edible.foodtype = "BATTERY"
    inst.components.edible.healthvalue = 5
    inst.components.edible.hungervalue = 20
    inst.components.edible.sanityvalue = 20

    MakeHauntableLaunch(inst)
    
    return inst
end

-- Add some strings for this item


-- Finally, return a new prefab with the construction function and assets.
return Prefab( "common/inventory/battery", fn, assets, prefabs)